com.hammurapi.common.concurrent

## Interface Logger

- All Known Implementing Classes:
    CompositeLogger, LoggerWrapper

      public interface Logger

  Logger for concurrent/distributed operations where logging along the execution path is more convenient than traditional class-based logging. This interface was created to mimic essential functionality of java.util.Logger class.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `fine(String msg)`
    `void` | `finer(String msg)`
    `void` | `finest(String msg)`
    `Logger` | `getLogger(String name)` Returns a sub-logger of a given logger.
    `void` | `info(String msg)`
    `boolean` | `isLoggable(Level level)`
    `void` | `log(Level level, String msg)`
    `void` | `log(Level level, String msg, Object param1)`
    `void` | `log(Level level, String msg, Object[] params)`
    `void` | `log(Level level, String msg, Throwable thrown)`
    `void` | `log(LogRecord record)`
    `void` | `severe(String msg)`
    `void` | `warning(String msg)`

- - ### Method Detail

    - #### fine

          void fine(String msg)

    - #### finer

          void finer(String msg)

    - #### finest

          void finest(String msg)

    - #### info

          void info(String msg)

    - #### severe

          void severe(String msg)

    - #### warning

          void warning(String msg)

    - #### log

          void log(Level level,
                 String msg)

    - #### log

          void log(Level level,
                 String msg,
                 Object param1)

    - #### log

          void log(Level level,
                 String msg,
                 Object[] params)

    - #### log

          void log(Level level,
                 String msg,
                 Throwable thrown)

    - #### log

          void log(LogRecord record)

    - #### getLogger

          Logger getLogger(String name)

      Returns a sub-logger of a given logger.
      Parameters:
        `name` - Sub-logger name.
      Returns:

    - #### isLoggable

          boolean isLoggable(Level level)